Change log for upgrade-system package in Ubuntu

143 of 43 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-05
Deleted in cosmic-proposed (Reason: moved to release)
upgrade-system (1.7.3.1) unstable; urgency=medium

  * Fixed the following Lintian warnings:
    W: global-files-wildcard-not-first-paragraph-in-dep5-copyright
    P: upgrade-system source: file-contains-trailing-whitespace debian/changelog

 -- Martin-Éric Racine <email address hidden>  Sat, 17 Feb 2018 13:41:29 +0200

Available diffs

Superseded in cosmic-release on 2018-05-05
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
upgrade-system (1.7.3.0) unstable; urgency=medium

  * Fix "Forces output to UTF-8" (Closes: #794549).
    = LANGUAGE is now exported as an empty value.
    = LC_ALL is now exported without enforcing any character-set.

 -- Martin-Éric Racine <email address hidden>  Mon, 31 Aug 2015 11:21:34 +0300

Available diffs

Superseded in wily-release on 2015-09-25
Deleted in wily-proposed on 2015-09-26 (Reason: moved to release)
upgrade-system (1.7.2.3) unstable; urgency=medium


  * debian/copyright:
    Fixed Lintian "W: dep5-copyright-license-name-not-unique"
    + Added a separate License paragraph to define the GPL 2+
    - Removed individual License definitions from each block.
  * Bumped Standards-Version to 3.9.6 (no change required).

 -- Martin-Éric Racine <email address hidden>  Wed, 11 Mar 2015 23:25:10 +0200

Available diffs

Superseded in wily-release on 2015-05-06
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
upgrade-system (1.7.2.2) unstable; urgency=medium


  * debian/upgrade-system.cron.daily:
    + Added "test -x /usr/sbin/upgrade-system || exit 0" (Closes: #779288).
      Thanks to Andreas Beckmann for the report and the solution.

 -- Martin-Éric Racine <email address hidden>  Thu, 26 Feb 2015 18:20:39 +0200

Available diffs

Superseded in vivid-release on 2015-03-03
Deleted in vivid-proposed on 2015-03-04 (Reason: moved to release)
upgrade-system (1.7.2.1) unstable; urgency=medium


  * upgrade-system:
    + Added exit code to the orphan purging loop. This has become necessary
      because some packages skip their DPKG triggers, which then makes DPKG
      mark those packages as partially configured, in turn making deborphan
      exit with an error. (Closes: #772271)

 -- Martin-Éric Racine <email address hidden>  Sat, 06 Dec 2014 14:33:38 +0200

Available diffs

Superseded in vivid-release on 2014-12-09
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
upgrade-system (1.7.1.1) unstable; urgency=medium


  * debian/control:
    - Recommends: apt-show-versions
  * debian/upgrade-system.cron.daily:
    = Replaced "apt-show-versions -u" with apt-get & awk recipe.

 -- Martin-Éric Racine <email address hidden>  Sat, 20 Sep 2014 20:45:01 +0300

Available diffs

Superseded in utopic-release on 2014-10-02
Deleted in utopic-proposed on 2014-10-03 (Reason: moved to release)
upgrade-system (1.7.0.0) unstable; urgency=medium


  * FLAUSCH:
    + Added a step to print all dpkg-[bak|old|dist] configurations found.
    - Removed the 'update-command-not-found' step.
  * upgrade-system,debian/copyright:
    + Updated the copyright year.
  * Bumped Standards-Version to 3.9.5 (no change required).

 -- Martin-Éric Racine <email address hidden>  Sun, 03 Aug 2014 11:32:34 +0300

Available diffs

Superseded in utopic-release on 2014-09-07
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
upgrade-system (1.6.3.4) unstable; urgency=low


  * Purging "update-manager-core" references:
    + Merged source_update-manager.py from update-manager-core 0.186 at Ubuntu.
    + Updated debian/copyright to add relevant copyright info.
    - debian/control: Suggests: update-manager-core
    + debian/upgrade-system.install: debian/*.py
    = Renamed to source_upgrade-system.py
    = Changed (c) to © in source code
    - debian/upgrade-system.links

 -- Martin-Éric Racine <email address hidden>  Wed, 22 May 2013 12:44:59 +0300

Available diffs

Superseded in saucy-release on 2013-05-25
Deleted in saucy-proposed on 2013-05-26 (Reason: moved to release)
upgrade-system (1.6.3.3) unstable; urgency=low


  * upgrade-system:
    LC_ALL=C.UTF-8, since this is provided since libc 2.13 by standard.
    LANGUAGE=en, just to ensure that commands will use that language.

 -- Martin-Éric Racine <email address hidden>  Mon, 08 Apr 2013 13:48:23 +0300

Available diffs

Superseded in saucy-release on 2013-04-29
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
upgrade-system (1.6.2.3) unstable; urgency=low


  * upgrade-system:
    + Guard against missing configuration file by setting fallback defaults.
  * upgrade-system.conf.5:
    = Updated the sample configuration variables to match fallback defaults.

 -- Martin-Éric Racine <email address hidden>  Mon, 13 Aug 2012 08:40:35 +0300

Available diffs

Superseded in quantal-release on 2012-08-27
upgrade-system (1.6.2.2) unstable; urgency=low


  * debian/copyright:
    - Simplified the content. This is a native Debian package, so there is
      zero justification for keeping a separate section for debian/* files
      or for an upstream source URL in the header.

 -- Martin-Éric Racine <email address hidden>  Wed, 04 Jul 2012 14:48:21 +0300

Available diffs

Superseded in quantal-release on 2012-07-05
upgrade-system (1.6.2.0) unstable; urgency=low


  * Merged a kludge to escape 'deborphan' loops whenever running on a
    multiarch host without multiarch-aware deborphan. Such a mismatch
    between apt/dpkg/deborphan features only ever happened in Ubuntu/
    Precise, but the deborphan maintainer nonetheless feels it should
    be safeguarded against just in case (LP: #940374).
  * FLAUSCH: removed 'deborphan --find-config' loop; our loop to find
    partially-removed packages already does this using 'dpkg-query'.
  * upgrade-system: converted every command to use --long-options.

 -- Martin-Éric Racine <email address hidden>  Mon, 11 Jun 2012 16:28:44 +0300

Available diffs

Published in precise-updates on 2012-07-03
Deleted in precise-proposed (Reason: moved to -updates)
upgrade-system (1.6.1.0+precise1) precise-proposed; urgency=low

  * Merged a kludge to escape 'deborphan' loops whenever running on a
    multiarch host without multiarch-aware deborphan. Such a mismatch
    between APT/dpkg/deborphan features only ever happened in Ubuntu/
    Precise, but the deborphan maintainer nonetheless feels it should
    be safeguarded against just in case (Closes: #672829).
    (LP: #940374)
 -- Martin-Eric Racine <email address hidden>   Sat, 09 Jun 2012 14:57:34 +0300
Superseded in quantal-release on 2012-06-16
Published in precise-release on 2012-04-02
upgrade-system (1.6.1.0) unstable; urgency=low


  * FLAUSCH: --fix-policy: added "-o Debug::pkgDepCache::AutoInstall=true".

 -- Martin-Éric Racine <email address hidden>  Sat, 31 Mar 2012 03:57:54 +0300

Available diffs

Superseded in precise-release on 2012-04-02
upgrade-system (1.6.0.0) unstable; urgency=low


  * The "Upgrade-System as it was intended all along" release:
    + Made all APT checks quiet.
    + Pretty-printed the Information and Notification messages to match.
    + Removed outdated cruft from the source code's comments.
  * upgrade-system upgrade-system.8 upgrade-system.conf.5 debian/copyright:
    + Updated copyright info to emphasize Christoph Schindler's contribution
      to this particular release.

 -- Martin-Éric Racine <email address hidden>  Sun, 11 Mar 2012 10:33:31 +0200

Available diffs

Superseded in precise-release on 2012-03-12
upgrade-system (1.5.4.0) unstable; urgency=low

  * Foolproofed orphaning for a case of both autoremove and deborphan non-empty.

Available diffs

Superseded in precise-release on 2012-03-09
upgrade-system (1.5.2.0) unstable; urgency=low


  * Added $(apt-get autoremove) packages' detection to the deborphan loop.
  * Whitespace cleanup.

 -- Martin-Éric Racine <email address hidden>  Tue, 06 Mar 2012 21:40:46 +0200

Available diffs

Superseded in precise-release on 2012-03-08
upgrade-system (1.5.1.1) unstable; urgency=low


  * Bumped Standards-Version to 3.9.3 (no change required).
  * debian/copyright:
    = Migrated to DEP-5 format.
  * debian/upgrade-system.[postinst|postrm|preinst|prerm]:
    - Deleted.
  * debian/upgrade-system.maintscript:
    + Added. Replaces the same four individual maintainer script snippets.
    + Build-Depends: debhelper (>= 8.1.0~)

 -- Martin-Éric Racine <email address hidden>  Fri, 24 Feb 2012 12:15:43 +0200

Available diffs

Superseded in precise-release on 2012-02-25
upgrade-system (1.5.1.0) unstable; urgency=low

  * Added the APT --purge option to the --fix-policy FLAUSCH loop.
 -- Martin-Eric Racine <email address hidden>   Mon, 16 Jan 2012 05:10:39 +0200

Available diffs

Superseded in precise-release on 2012-01-18
upgrade-system (1.5.0.0) unstable; urgency=low

  * Added a FLAUSCH loop to fix dependencies using APT's --fix-policy option.
    + Depends: apt (>= 0.7.0).
  * Updated my copyright year in the source tarball and Debian packaging.
  * upgrade-system.8 upgrade-system.conf.5:
    + Fixed the Copyright mark and E-aigu to correctly display.
    + Updated the content to reflect current features.
  * debian/control debian/copyright upgrade-system upgrade-system.8:
    + Updated the short package description.
  * debian/NEWS:
    - Deleted. Migrated the explanation about defaults to long description.
  * debian/examples etc_apt_preferences:
    - Deleted. upgrade-system.conf(5) already contains the information.
  * debian/install debian/manpages:
    = Renamed to debian/upgrade-system.install debian/upgrade-system.manpages
  * apt-update:
    = Renamed to debian/upgrade-system.cron.daily
    + Pre-Depends: dpkg (>= 1.15.7.2) dpkg-maintscript-helper mv_conffile
  * debian/postrm debian/prerm:
    - Deleted APT preferences shuffling. Not needed since version 0.6.5.
    = Renamed to debian/upgrade-system.postrm debian/upgrade-system.prerm
  * debian/upgrade-system.postinst debian/upgrade-system.preinst:
    + Created.
  * debian/upgrade-system.[postinst|postrm|preinst|prerm]:
    + Added dpkg-maintscript-helper mv_conffile for the old cron script.
  * debian/ubuntu/source_upgrade-system.py:
    - Deleted. Leverage source_update-manager.py package hooks instead.
  * debian/upgrade-system.links:
    + Created. Link source_upgrade-system.py to source_update-manager.py
    + Suggests: update-manager-core
 -- Martin-Eric Racine <email address hidden>   Thu, 05 Jan 2012 21:03:57 +0200

Available diffs

Superseded in precise-release on 2012-01-06
upgrade-system (1.4.2.1) unstable; urgency=low

  * Removed Suggests:menu since we haven't executed update-menus in ages; ditto
    for reference to update-menus(1) in upgrade-system(8) (Closes: #647384).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  18 Nov 2011 10:54:24 +0000

Available diffs

Superseded in precise-release on 2011-11-18
Obsolete in oneiric-release on 2015-04-24
upgrade-system (1.4.2.0) unstable; urgency=low

  * Improved checking of the terminal's color capabilities.
 -- Martin-Eric Racine <email address hidden>   Wed, 07 Sep 2011 13:36:09 +0300

Available diffs

Superseded in oneiric-release on 2011-09-13
upgrade-system (1.4.1.0) unstable; urgency=low

  * Bumped Standards-Version to 3.9.2 (no change required).
  * Made the FLAUSCH debsum loop conditional on debsum being installed.
  * Demoted debsum to Recommends.
 -- Martin-Eric Racine <email address hidden>   Tue, 05 Jul 2011 13:50:07 +0300

Available diffs

Superseded in oneiric-release on 2011-07-10
Obsolete in natty-release on 2013-06-04
upgrade-system (1.4.0.0) unstable; urgency=low

  * The "Oh, the times, they are changing!" release.
  * Migrated to debhelper-7 build system:
    + Simplified debian/rules to use a single dh command.
    + Bumped the Build-Depends on debhelper to (>= 7).
    + Removed the Build-Depends on CDBS.
  * Migrated to source format 3.0 (native).
  * Added a FLAUSCH loop that reinstalls packages with missing debsums.
    + Depends: debsums.
  * Updated my copyright and e-mail in source tarball and Debian packaging.

Available diffs

Superseded in natty-release on 2011-03-03
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
upgrade-system (1.2.0.3) unstable; urgency=low

  * Added a trailing blank line to debian/NEWS, as suggested by Lintian.
  * Precised the exact path to the GPL-2 text, as suggested by Lintian.
 -- Martin-Eric Racine <email address hidden>   Tue, 06 Apr 2010 16:57:02 +0300

Available diffs

Superseded in lucid-release on 2010-04-08
upgrade-system (1.2.0.2) unstable; urgency=low

  * Bumped Standards-Version to 3.8.4 (no change required).
  * Touched debian/copyright_hints and responded to the hints.
  * Created debian/source/format.
 -- Martin-Eric Racine <email address hidden>   Mon, 29 Mar 2010 07:46:29 +0300

Available diffs

Superseded in lucid-release on 2010-04-05
upgrade-system (1.2.0.1) unstable; urgency=low

  * Stripped trailing whitespace from the source code.
  * Bumped Standards-Version to 3.8.3 (no change required).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  30 Nov 2009 23:47:04 +0000

Available diffs

Superseded in lucid-release on 2009-12-01
Obsolete in karmic-release on 2013-03-04
upgrade-system (1.2.0.0) unstable; urgency=low

  * Brushed up man page wording and added author Christoph Schindler.
  * Added a loop that implements a purge for obsolete configurations.
    Thanks to Tollef Fog Heen for tips on implementing this feature!
  * Moved the purge for uninstalled packages to the FLAUSCH loop.
    + This pedantic purge is only ever needed after a dist-upgrade and
      moving it to the FLAUSCH loop makes daily operation much faster.
    + The FLAUSCH option is thereby required to enable these purges:
      - Uninstalled packages.
      - Orphan configurations.
      - Obsolete configurations.
  * Added BOLD ALL-CAPS emphasis to some warnings in the FLAUSCH loop.

 -- Martin-?ric Racine <email address hidden>   Wed,  23 Sep 2009 11:34:30 +0100

Available diffs

Superseded in karmic-release on 2009-09-23
upgrade-system (1.1.7.1) unstable; urgency=low

  * Corrected experimental Pin-Priority in upgrade-system.conf man page.

Available diffs

Superseded in karmic-release on 2009-08-07
upgrade-system (1.1.6.0) unstable; urgency=low

  * Simplified several message strings.

Available diffs

Superseded in karmic-release on 2009-07-30
upgrade-system (1.1.1.0) unstable; urgency=low

  * Bumped Standards-Version to 3.8.2 (no change required).
  * Added an "apt-get --purge autoremove" line to the orphan loop.
    + Depends: apt (>= 0.6.45) 

 -- Martin-?ric Racine <email address hidden>   Tue,  14 Jul 2009 17:05:16 +0100

Available diffs

Superseded in karmic-release on 2009-07-14
upgrade-system (1.1.0.0) unstable; urgency=low

  * Added a loop that implements a purge for uninstalled packages.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  25 Jun 2009 07:44:45 +0100

Available diffs

Superseded in karmic-release on 2009-06-25
upgrade-system (1.0.1.6) unstable; urgency=low

  * The "post-Lenny Lintian cleanup" release:
    + Fixed [debian/copyright] to state GPL 2 or later, using the 
      GNU boilerplate syntax instead of my own condensed version.
    + Remove [debian/watch] (not needed for Debian-native package).
    + Bumped debhelper up to 5 in [debian/compat] and [debian/control].
  * Upgraded upstream URL in [debian/control] and [debian/copyright].
  * Bumped Standards-Version to 3.8.0:
    + Moved the upstream URL in [debian/control] to Homepage field.
  * Removed the deprecated Lintian override.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  29 Apr 2009 12:15:11 +0100

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
upgrade-system (1.0.1.5) unstable; urgency=low

  * Removed the Linda override, now that she is gone.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  04 Jul 2008 08:47:46 +0100

Available diffs

Superseded in intrepid-release on 2008-07-04
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
upgrade-system (1.0.1.4) unstable; urgency=low

  * Added "-f -u" dist-upgrade options in upgrade-system.conf defaults.
  * Revised license to "GPLv2 or later" terms.

 -- Luke Yelavich <email address hidden>   Fri,  10 Aug 2007 09:25:49 +0100
Superseded in gutsy-release on 2007-08-10
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
upgrade-system (1.0.1.3) unstable; urgency=low

  * Added Linda and Lintian overrides for build-depends-without-arch-dep
    on arch:all package (reason: needed by 'clean' target).

 -- Martin-?ric Racine <email address hidden>   Thu,  28 Sep 2006 10:43:25 +0100
Superseded in edgy-release on 2006-09-28
upgrade-system (1.0.1.2) unstable; urgency=low

  * Removed changelog garbage reported by "dpkg-parsechangelog -v~".

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  22 Jun 2006 08:24:19 +0100
Superseded in edgy-release on 2006-06-22
upgrade-system (1.0.1.1) unstable; urgency=low

  * Converted Build-Depends-Indep to Build-Depends as per Policy 7.6.
  * Upgraded Standards-Version to 3.7.2; no change required.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  19 Jun 2006 10:33:27 +0100
Superseded in edgy-release on 2006-06-19
upgrade-system (1.0.1) unstable; urgency=high

  * Prevent infinite loops caused by dangerous package purge options.
  * Removed update-menu step (application maintainer scripts do this).
    - Updated upgrade-system(8) manual page to match.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  15 Jun 2006 15:52:26 +0100
Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
upgrade-system (1.0.0) unstable; urgency=low


  * Added missing call to list-missing target of utils.mk CDBS include.
  * Removed manual page reference to the Woody version of deborphan.
  * Rewrote the instructions in NEWS into something friendlier.
  * Added missing ${misc:Depends} to binary in debian/control.

 -- Martin-Éric Racine <email address hidden>  Tue, 20 Dec 2005 00:17:37 +0200
Superseded in dapper-release on 2006-01-31
upgrade-system (0.9.9) unstable; urgency=low


  * Reintroduced the mistakenly removed Flausch option. Entschuldigung!

 -- Martin-Éric Racine <email address hidden>  Fri,  9 Dec 2005 04:56:37 +0200
Obsolete in breezy-release on 2008-03-25
upgrade-system (0.9.6) unstable; urgency=low


  * Upgraded to Debian Policy 3.6.2 standards; no change required.
  * Sponsored by Masayuki Hatta.

 -- Martin-Éric Racine <email address hidden>  Wed, 22 Jun 2005 11:16:07 +0300
Obsolete in hoary-release on 2008-03-19
upgrade-system (0.8.3) unstable; urgency=medium


  * Added /etc/cron.daily/apt-update script to update package lists daily.
  * Sponsored by Kenshi Muto.

 -- Martin-Éric Racine <email address hidden>  Mon, 11 Oct 2004 12:34:44 +0300
143 of 43 results